# Translate Video from Proofread

Generates the translated video based on an approved proofread version. 

<Callout icon="📘" theme="info">
  **Note:**

  * This endpoint consumes API credits and is only available to <Anchor label="**Scale** and **Enterprise**" target="_blank" href="https://www.heygen.com/api-pricing">**Scale** and **Enterprise**</Anchor> API plan users.
  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** panel on the right and choose an example to explore different proofreading statuses (such as processing or completed) and see how each status appears in the API response examples.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/video_translate/proofread/{proofread_id}/generate": {
      "post": {
        "summary": "Generate Video from Proofread",
        "description": "Initiates generation of the final output from a proofread. Optional settings include adding captions or translating only the audio.",
        "operationId": "generate-video-from-proofread",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "captions": {
                    "type": "boolean",
                    "description": "Whether to enable captions in the video. "
                  },
                  "translate_audio_only": {
                    "type": "boolean",
                    "description": "Translate only the audio, ignore the faces and only translate the voice track in this video."
                  },
                  "callback_id": {
                    "type": "string",
                    "description": "Custom ID for callback purposes. Returned in the status/webhook payload for tracking."
                  },
                  "callback_url": {
                    "type": "string",
                    "description": "URL to notify when video rendering is complete, useful when your callback endpoint is dynamic and each video requires a separate callback. Using a webhook endpoint is still the recommended approach, as it provides more customization options such as secrets, event filtering, and more. If both `webhook` and `callback_url` are used, events will be sent to both endpoints."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Video translation initiated successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "error": null,
                      "data": {
                        "video_translate_id": "b9v43314950d4d0eb4432a0941433771-en",
                        "status": "processing"
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "video_translate_id": {
                          "type": "string",
                          "description": "Unique identifier of the translated video. "
                        },
                        "status": {
                          "type": "string",
                          "description": "Current status of the video (e.g., `processing`)."
                        }
                      },
                      "description": "Contains the video details. "
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "parameters": [
          {
            "in": "path",
            "name": "proofread_id",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Unique identifier of the proofread. Can be retrieved from the <a href=\"https://docs.heygen.com/reference/generate-proofread\" target=\"_blank\">Generate Proofread </a> endpoint.   "
          }
        ]
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```